# TdApi.AddProxy (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AddProxy

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddProxy

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Proxy>
it.tdlight.jni.TdApi.AddProxy

Enclosing class:
  TdApi

public static final class TdApi.AddProxy extends TdApi.Function<TdApi.Proxy>
Adds a proxy server for network requests. Can be called before authorization. Returns `Proxy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`enable`
Pass true to immediately enable the proxy.
`int`
`port`
Proxy server port.
`String`
`server`
Proxy server IP address.
`TdApi.ProxyType`
`type`
Proxy type.

## Constructor Summary

Constructors
Constructor
Description
`AddProxy()`
Adds a proxy server for network requests.
`AddProxy(DataInput input)`
Adds a proxy server for network requests.
`AddProxy(String server, int port, boolean enable, TdApi.ProxyType type)`
Adds a proxy server for network requests.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### server

public String server
Proxy server IP address.

### port

public int port
Proxy server port.

### enable

public boolean enable
Pass true to immediately enable the proxy.

### type

public TdApi.ProxyType type
Proxy type.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddProxy

public AddProxy()
Adds a proxy server for network requests. Can be called before authorization. Returns `Proxy`

### AddProxy

public AddProxy(String server, int port, boolean enable, TdApi.ProxyType type)
Adds a proxy server for network requests. Can be called before authorization. Returns `Proxy`

Parameters:
  `server` - String Proxy server IP address.
  `port` - int Proxy server port.
  `enable` - boolean Pass true to immediately enable the proxy.
  `type` - ProxyType Proxy type.

### AddProxy

public AddProxy(DataInput input) throws IOException
Adds a proxy server for network requests. Can be called before authorization. Returns `Proxy`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`